/// <reference types="jest" />
interface MockedIntersectionObserverCallback {
    (entries: MockedIntersectionObserverEntry[], observer?: IntersectionObserver): void;
}
interface MockedIntersectionObserverEntry {
    target: HTMLElement;
    intersectionRatio?: number | number[];
    isIntersecting?: boolean;
}
export declare const observerMap: Map<IntersectionObserver, ObserverItem>;
declare type ObserverItem = {
    callback: MockedIntersectionObserverCallback;
    element: Set<HTMLElement>;
};
export declare const mockIntersectionObserver: jest.Mock<IntersectionObserver, [any, any?]>;
export declare function triggerObserverCallback({ target, isIntersecting, intersectionRatio, }: MockedIntersectionObserverEntry): void;
export declare function getMockedInstance(element: HTMLElement): IntersectionObserver;
export {};
